Mailinglist Archive: opensuse-updates (42 mails)

< Previous Next >
openSUSE-SU-2011:0854-1: moderate: libsndfile: fixing Integer overflow (CVE-2011-2696) and divide by zero (CVE-2009-4835)
openSUSE Security Update: libsndfile: fixing Integer overflow
(CVE-2011-2696) and divide by zero (CVE-2009-4835)

Announcement ID: openSUSE-SU-2011:0854-1
Rating: moderate
References: #631379 #705681
Cross-References: CVE-2009-4835 CVE-2011-2696
Affected Products:
openSUSE 11.3

An update that fixes two vulnerabilities is now available.


An integer overflow in libsndfile while processing certain
PAF files has been fixed. CVE-2011-2696 has been assigned
to this issue. Additionally an divide by zero
(CVE-2009-4835) has been fixed.

Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.3:

zypper in -t patch libsndfile-4901

To bring your system up-to-date, use "zypper patch".

Package List:

- openSUSE 11.3 (i586 x86_64):


- openSUSE 11.3 (x86_64):



< Previous Next >
List Navigation
This Thread
  • No further messages